/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载是否激活下拉框
var v_yesnoquery = {};
//v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
//var v_yesno_data = standardModel.dataAction.listAll(v_yesnoquery);

/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
   title:"模块分类",
   iconCls:$.getJwWindowPic(),
   url:'systemdata_listSysModuletype',
   queryParams : queryData,//查询参数
   rownumbers : true,//显示索引号
   singleSelect : false,//是否多选
   fitColumns : false,//是否撑满
   autoRowHeight : 30,//设定高度
   pagination : true,//分页显示
   pageSize : rows,//显示行数
   pageList : listPageSize,//条数选择
   striped : true, //是否隔行显示
   remoteSort : false,//是否从服务器排序
   frozenColumns : [[
			{
				field : 'ck',
				checkbox : true
			},
			{
				field : 'option',
				title : '操作',
				width : 80,
				align : 'center',
				formatter : formatMenu
			}
			       ]],
   columns:[[
            {
				field : 'MT_ID',
				title : '编码',
				width : 100,
				align : 'center'
			}, {
				field : 'MT_NAME',
				title : '名称',
				width : 200,
				align : 'center'
			}, {
				field : 'MT_TITLE',
				title : '注释',
				width : 200,
				align : 'center'
			}, {
				field : 'MT_SORT',
				title : '排序',
				width : 80,
				align : 'center'
			}, {
				field : 'YSY',
				title : '状态',
				width : 80,
				align : 'center',
				formatter : function(value) {
					if (value != null && value > 0)
						return '已用';
					else
						return '未用';
				}
	        } 
			]],
			toolbar : '#tb',
			onLoadSuccess : function() {
				createOptionMenuTooltip();
			}
	});
	/****/

	/**
	 * 序号：4
	 * 功能：设置主页面操作列菜单
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	//操用列显示更多(一般情况下无需更改)
	function formatMenu(value, data,index) {
		var returnData="";
		return  returnData
		      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
		      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
	}
	//菜单更多上浮横向菜单集(无需更改)
	function createOptionMenuTooltip() {
		$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
				function() {
					var index = parseInt($(this).attr('data-p1'));
					$(this).tooltip({
						content : $('<div></div>'),
						onUpdate : function(cc) {
							var row = $('#list').datagrid('getRows')[index];
							var content = getOptionMenu(row,index);
							var mCount = getOptionMenuCount();
							cc.css("border","0").panel({
								width : (70 * mCount),
								content : content
							});
						},
						position : 'right',
						deltaX : -20,
						onShow : function() {
							var t = $(this);
							t.tooltip('tip').css( {
								backgroundColor : '#ffffff'
									}).unbind().bind('mouseenter', function() {
								t.tooltip('show');
							}).bind('mouseleave', function() {
								t.tooltip('hide');
							});
						}
					});
				});
	}

	//上浮横向菜单集里的具体菜单项(需更改)
	function getOptionMenu(data,index){
		var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"editRow('"
			          + index 
			          + "')\">编辑</a>"  
					  + " | <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"deleteRow('"
			          + index 
			          + "')\">删除</a>";
		return returnData;
	}

	//返回菜单集的菜单个数(需更改)
	function getOptionMenuCount(){
		var is_menu_count = 2;
		return is_menu_count;
	}
	/****/

	/**
	 * 序号：5
	 * 功能：新增修改弹出
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	//加载增加子页面
	function addRow(){
		var is_row={OPETYPE:'insert'};
		$('#detail').dialog( {
			title : '新增',
			iconCls : $.getJwWindowPic(),
			width : ls_width * 0.65,
			height :ls_height * 0.65,
			closed : false,
			cache : false,
			maximizable:true,
			left:0,
			top:0,
			href : 'system_moduletypeTabDetail',
			queryParams:get_FIELD(is_row),
			modal : true,
			buttons : [ {
				text : '保存',
				iconCls : 'icon-ok',
				handler : function() {
					saveBox('detail','list');
				}
			}, {
				text : '关闭',
				iconCls : 'icon-back',
				handler : function() {
					closeBox('detail');
				}
			} ],
			onLoad:function() {
			}
		});

	}

	//加载修改子页面
	function editRow(index) {
		$('#list').datagrid('selectRow',index);
		var is_row = $('#list').datagrid('getSelections');
		$('#list').datagrid('clearSelections');
		is_row[0].OPETYPE = 'update';
		$('#detail').dialog( {
			title : '编辑',
			iconCls : $.getJwWindowPic(),
			width : ls_width * 0.65,
			height :ls_height * 0.65,
			closed : false,
			cache : false,
			maximizable:true,
			left:0,
			top:0,
			href : 'system_moduletypeTabDetail',
			queryParams:get_FIELD(is_row[0]),
			modal : true,
			buttons : [{
				text : '保存',
				iconCls : 'icon-ok',
				handler : function() {
					saveBox('detail','list');
				}
			}, {
				text : '关闭',
				iconCls : 'icon-back',
				handler : function() {
					closeBox('detail');
				}
			} ],
			onLoad:function() {
			}
		});
	}
	//弹出层返回按扭
	function closeBox(Box_id) {
		if(Box_id==null||Box_id==''||Box_id==undefined)
			Box_id='detail';
		$('#'+Box_id).dialog('close');
	}
	//弹出层保存按扭
	function saveBox(Box_id,List_id) {
		if(Box_id==null||Box_id==''||Box_id==undefined)
			Box_id='detail';
		if(List_id==null||List_id==''||List_id==undefined)
			List_id='list';
		var returnIsValid = $('#inputForm').form('validate');
		if (returnIsValid) {
			//$("#inputForm").submit();
			var query = $("#inputForm").getFormVal();
			var v_result;
			if ($('#OPETYPE').val() == null || $('#OPETYPE').val() == undefined
					|| $('#OPETYPE').val() == '' || $('#OPETYPE').val()=='insert')
				v_result = jwAppCommonModel.jwAppsCommonActAction.insertSysModuletype(query);
			else
				v_result = jwAppCommonModel.jwAppsCommonActAction.updateSysModuletype(query);
			if (v_result != null && v_result != undefined) {
				closeBox(Box_id);
				$.messager.alert('提示', v_result.VALUE);
				$('#'+List_id).datagrid('reload');
			}
		}
	}
	/****/

	/**
	 * 序号：6
	 * 功能：单个删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function deleteRow(index){
		$('#list').datagrid('selectRow',index);	
		var is_row = $('#list').datagrid('getSelections');
		$('#list').datagrid('clearSelections');

		if(is_row[0].YSY!=null && is_row[0].YSY>0){
			$.messager.alert('提示',"模块分类使用中,无法删除!",'info');
			return;
		}
		var code = is_row[0].MT_ID;
		$.messager.confirm('提示', '确定删除?', function(r) {
			if (r) {
				var v_query = {};
			    v_query.FIELD_MT_ID = code;
			    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysModuletype(v_query);
				$.messager.alert('提示',v_result.VALUE);
				$('#list').datagrid('reload');
			}
		});
	}
	/****/

	/**
	 * 序号：7
	 * 功能：批量删除
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function deleteBatchRow(){
		var code="";
		var is_row = $('#list').datagrid('getSelections');
		for(var i=0; i<is_row.length; i++){
			code = code + is_row[i].MT_ID+",";
			if(is_row[i].YSY!=null && is_row[i].YSY>0){
				$.messager.alert('提示',"有模块分类使用中,无法删除!",'info');
				return;
			}
		}
		if(is_row == null || is_row == ""){
			$.messager.alert('提示',"请选择需删除的行!",'info');
			return;
		}
		if(code.length>0){
			code = code.substring(0,code.length - 1);
		}
		$.messager.confirm('提示', '确定删除?', function(r) {
			if (r) {
				var v_query = {};
			    v_query.FIELD_MT_ID = code;
			    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysModuletype(v_query);
				$.messager.alert('提示',v_result.VALUE);
				$('#list').datagrid('reload');
			}
		});
	}
	/****/

	/**
	 * 序号：8
	 * 功能：刷新
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function refreshRow(){
		$('#list').datagrid('load',{});
		$("#moduletypetab_searchForm")[0].reset();
	}
	/****/

	/**
	 * 序号：9
	 * 功能：查询
	 * 参数：
	 * 说明：
	 * 作者：高伟杰
	 * 时间：2016-01-22
	 * 单位：宁波金网
	 * 备注：需更改
	 **/
	function searchRow(){
		var v_query = $("#moduletypetab_searchForm").getFormVal();
		$('#list').datagrid('load',v_query);
	}
	/****/